kind: CustomResourceDefinition
apiVersion: apiextensions.k8s.io/v1
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"apiextensions.k8s.io/v1","kind":"CustomResourceDefinition","metadata":{"annotations":{"operator.tekton.dev/last-applied-hash":"c9f9cc113edace6efe208b81ada66a3d58c89cd8217d945776792322ebc96fa7"},"labels":{"app.kubernetes.io/instance":"default","app.kubernetes.io/part-of":"tekton-pipelines","operator.tekton.dev/operand-name":"tektoncd-pipelines","pipeline.tekton.dev/release":"v0.50.1","version":"v0.50.1"},"name":"tasks.tekton.dev","ownerReferences":[{"apiVersion":"operator.tekton.dev/v1alpha1","blockOwnerDeletion":true,"controller":true,"kind":"TektonPipeline","name":"pipeline","uid":"c375888b-cf6e-4548-b5a9-f21dc28d8ee6"}]},"spec":{"conversion":{"strategy":"Webhook","webhook":{"clientConfig":{"service":{"name":"tekton-pipelines-webhook","namespace":"openshift-pipelines"}},"conversionReviewVersions":["v1beta1","v1"]}},"group":"tekton.dev","names":{"categories":["tekton","tekton-pipelines"],"kind":"Task","plural":"tasks","singular":"task"},"preserveUnknownFields":false,"scope":"Namespaced","versions":[{"name":"v1beta1","schema":{"openAPIV3Schema":{"type":"object","x-kubernetes-preserve-unknown-fields":true}},"served":true,"storage":false,"subresources":{"status":{}}},{"name":"v1","schema":{"openAPIV3Schema":{"type":"object","x-kubernetes-preserve-unknown-fields":true}},"served":true,"storage":true,"subresources":{"status":{}}}]}}
    operator.tekton.dev/last-applied-hash: c9f9cc113edace6efe208b81ada66a3d58c89cd8217d945776792322ebc96fa7
  resourceVersion: '11060596'
  name: tasks.tekton.dev
  uid: 857db03b-7412-4354-9ec2-faea6462285b
  creationTimestamp: '2023-09-26T03:24:47Z'
  generation: 3
  managedFields:
    - manager: kube-apiserver
      operation: Update
      apiVersion: apiextensions.k8s.io/v1
      time: '2023-09-26T03:24:47Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:acceptedNames':
            'f:categories': {}
            'f:kind': {}
            'f:listKind': {}
            'f:plural': {}
            'f:singular': {}
          'f:conditions':
            'k:{"type":"Established"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"NamesAccepted"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      subresource: status
    - manager: openshift-pipelines-webhook
      operation: Update
      apiVersion: apiextensions.k8s.io/v1
      time: '2023-09-26T03:24:52Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:conversion':
            'f:webhook':
              'f:clientConfig':
                'f:caBundle': {}
                'f:service':
                  'f:path': {}
    - manager: manifestival
      operation: Update
      apiVersion: apiextensions.k8s.io/v1
      time: '2023-09-26T03:31:11Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
            'f:operator.tekton.dev/last-applied-hash': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/part-of': {}
            'f:operator.tekton.dev/operand-name': {}
            'f:pipeline.tekton.dev/release': {}
            'f:version': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"c375888b-cf6e-4548-b5a9-f21dc28d8ee6"}': {}
        'f:spec':
          'f:conversion':
            .: {}
            'f:strategy': {}
            'f:webhook':
              .: {}
              'f:clientConfig':
                .: {}
                'f:service':
                  .: {}
                  'f:name': {}
                  'f:namespace': {}
                  'f:port': {}
              'f:conversionReviewVersions': {}
          'f:group': {}
          'f:names':
            'f:categories': {}
            'f:kind': {}
            'f:listKind': {}
            'f:plural': {}
            'f:singular': {}
          'f:scope': {}
          'f:versions': {}
  ownerReferences:
    - apiVersion: operator.tekton.dev/v1alpha1
      kind: TektonPipeline
      name: pipeline
      uid: c375888b-cf6e-4548-b5a9-f21dc28d8ee6
      controller: true
      blockOwnerDeletion: true
  labels:
    app.kubernetes.io/instance: default
    app.kubernetes.io/part-of: tekton-pipelines
    operator.tekton.dev/operand-name: tektoncd-pipelines
    pipeline.tekton.dev/release: v0.50.1
    version: v0.50.1
spec:
  group: tekton.dev
  names:
    plural: tasks
    singular: task
    kind: Task
    listKind: TaskList
    categories:
      - tekton
      - tekton-pipelines
  scope: Namespaced
  versions:
    - name: v1beta1
      served: true
      storage: false
      schema:
        openAPIV3Schema:
          type: object
          x-kubernetes-preserve-unknown-fields: true
      subresources:
        status: {}
    - name: v1
      served: true
      storage: true
      schema:
        openAPIV3Schema:
          type: object
          x-kubernetes-preserve-unknown-fields: true
      subresources:
        status: {}
  conversion:
    strategy: Webhook
    webhook:
      clientConfig:
        service:
          namespace: openshift-pipelines
          name: tekton-pipelines-webhook
          path: /resource-conversion
          port: 443
        caBundle: >-
          LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSUN6VENDQW5PZ0F3SUJBZ0lRUi95QTRJc2RiNGx2S1c2OFU3L3FqREFLQmdncWhrak9QUVFEQWpCUk1SUXcKRWdZRFZRUUtFd3RyYm1GMGFYWmxMbVJsZGpFNU1EY0dBMVVFQXhNd2RHVnJkRzl1TFhCcGNHVnNhVzVsY3kxMwpaV0pvYjI5ckxtOXdaVzV6YUdsbWRDMXdhWEJsYkdsdVpYTXVjM1pqTUI0WERUSXpNRGt5TmpBek1qUTFNbG9YCkRUSXpNVEF3TXpBek1qUTFNbG93VVRFVU1CSUdBMVVFQ2hNTGEyNWhkR2wyWlM1a1pYWXhPVEEzQmdOVkJBTVQKTUhSbGEzUnZiaTF3YVhCbGJHbHVaWE10ZDJWaWFHOXZheTV2Y0dWdWMyaHBablF0Y0dsd1pXeHBibVZ6TG5OMgpZekJaTUJNR0J5cUdTTTQ5QWdFR0NDcUdTTTQ5QXdFSEEwSUFCRHZEUmJXUWJOOHJTM2ZDcC9Qd0s4OHdWUVRSCmh0Y1g5UEhpaDJOM3RDSitNOFhpdTMxWXdYeHJ1M01SSDVFTTB0QzNIS2pqaDlNd2RnUzlPZEUrQ1pTamdnRXIKTUlJQkp6QU9CZ05WSFE4QkFmOEVCQU1DQW9Rd0hRWURWUjBsQkJZd0ZBWUlLd1lCQlFVSEF3RUdDQ3NHQVFVRgpCd01DTUE4R0ExVWRFd0VCL3dRRk1BTUJBZjh3SFFZRFZSME9CQllFRk40VHJqdlcwdDg0aHAxcDJoajlqZEF4CmVveVhNSUhGQmdOVkhSRUVnYjB3Z2JxQ0dIUmxhM1J2Ymkxd2FYQmxiR2x1WlhNdGQyVmlhRzl2YTRJc2RHVnIKZEc5dUxYQnBjR1ZzYVc1bGN5MTNaV0pvYjI5ckxtOXdaVzV6YUdsbWRDMXdhWEJsYkdsdVpYT0NNSFJsYTNSdgpiaTF3YVhCbGJHbHVaWE10ZDJWaWFHOXZheTV2Y0dWdWMyaHBablF0Y0dsd1pXeHBibVZ6TG5OMlk0SStkR1ZyCmRHOXVMWEJwY0dWc2FXNWxjeTEzWldKb2IyOXJMbTl3Wlc1emFHbG1kQzF3YVhCbGJHbHVaWE11YzNaakxtTnMKZFhOMFpYSXViRzlqWVd3d0NnWUlLb1pJemowRUF3SURTQUF3UlFJZ1B6K1JyNU1uWHYzSVdvUWpudjdSTVZBZwpjSTIyV0twQTZBTDlXMG5MbnJVQ0lRRFlEeml6RnRaNk1TZmM2ZDV2L2duMEhJUGY3ajB0Z0RvTUlmZFRuYXRLCktnPT0KLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
      conversionReviewVersions:
        - v1beta1
        - v1
status:
  conditions:
    - type: NamesAccepted
      status: 'True'
      lastTransitionTime: '2023-09-26T03:24:47Z'
      reason: NoConflicts
      message: no conflicts found
    - type: Established
      status: 'True'
      lastTransitionTime: '2023-09-26T03:24:47Z'
      reason: InitialNamesAccepted
      message: the initial names have been accepted
  acceptedNames:
    plural: tasks
    singular: task
    kind: Task
    listKind: TaskList
    categories:
      - tekton
      - tekton-pipelines
  storedVersions:
    - v1beta1
    - v1
